### Virtual Method

# Camel Transport send_to_sync

since: 3.0

#### Declaration [src]

    gboolean
    send_to_sync (
      CamelTransport* transport,
      CamelMimeMessage* message,
      CamelAddress* from,
      CamelAddress* recipients,
      gboolean* out_sent_message_saved,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sends the message to the given recipients, regardless of the contents of `message`. If the message contains a “Bcc” header, the transport is responsible for stripping it.

Available since: 3.0

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage` to send.

  The data is owned by the caller of the method.

`from`

  Type: `CamelAddress`

  A `CamelAddress` to send from.

  The data is owned by the caller of the method.

`recipients`

  Type: `CamelAddress`

  A `CamelAddress` containing all recipients.

  The data is owned by the caller of the method.

`out_sent_message_saved`

  Type: `gboolean*`

  Set to `TRUE`, if the sent message was also saved.

  The argument will be set by the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.